import { Endpoint } from '../types/endpoint';
import { OperationObject } from '../types/openapi';
import { GenerateOptions } from '../types/options';
export declare function formatTag(tag: string): string;
export declare function getOperationTag(operation: OperationObject, options: GenerateOptions): string;
export declare function getEndpointTag(endpoint: Endpoint, options: GenerateOptions): string;
export declare function isTagExcluded(tag: string, options: GenerateOptions): boolean;
